import{s as ll,n as il,o as ml}from"../chunks/scheduler.b108d059.js";import{S as dl,i as ol,g as d,s as i,r as n,A as sl,h as o,f as a,c as m,j as g,u,x as s,k as r,y as rl,a as l,v as c,d as p,t as h,w}from"../chunks/index.008de539.js";import{C as gl}from"../chunks/CodeBlock.3968c746.js";import{H as f}from"../chunks/Heading.88bfeb84.js";function nl(_a){let R,Ee,Me,Ae,I,Ue,_,je,$,$a="Helper module for image processing.",ze,T,Ta=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Be,b,ba='<li><a href="#module_utils/image">utils/image</a><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li></ul></li>',ke,Ye,Ne,v,Je,C,Ke,x,va='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',qe,P,Ca='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li>',Oe,Se,Ze,L,Ge,H,We,M,xa="Create a new <code>RawImage</code> object.",De,y,Pa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",Ve,Fe,Qe,E,Xe,A,et,U,La="Mapping from file extensions to MIME types.",tt,j,Ha='<strong>Kind</strong>: instance property of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',at,lt,it,z,mt,B,dt,k,Ma="Convert the image to grayscale format.",ot,Y,ya='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',st,rt,gt,N,nt,J,ut,K,Ea="Convert the image to RGB format.",ct,q,Aa='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',pt,ht,wt,O,ft,S,Rt,Z,Ua="Convert the image to RGBA format.",It,G,ja='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',_t,$t,Tt,W,bt,D,vt,V,za="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",Ct,F,Ba='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',xt,Q,ka="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",Pt,Lt,Ht,X,Mt,ee,yt,te,Ya="Clone the image",Et,ae,Na='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',At,Ut,jt,le,zt,ie,Bt,me,Ja="Helper method for converting image to have a certain number of channels",kt,de,Ka='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Yt,oe,qa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",Nt,Jt,Kt,se,qt,re,Ot,ge,Oa="Save the image to the given path.",St,ne,Sa='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',Zt,ue,Za="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",Gt,Wt,Dt,ce,Vt,pe,Ft,he,Ga="Helper method for reading an image from a variety of input types.",Qt,we,Wa='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',Xt,fe,Da="<strong>Example:</strong> Read image from a URL.",ea,Re,ta,Ie,Va="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",aa,la,ia,_e,ma,$e,da,Te,Fa="Read an image from a URL or file path.",oa,be,Qa='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',sa,ve,Xa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",ra,ga,na,Ce,ua,xe,ca,Pe,el="Helper method to create a new Image from a blob.",pa,Le,tl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',ha,He,al="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",wa,fa,Ra,ye,Ia;return _=new f({props:{title:"utils/image",local:"utilsimage",headingTag:"h1"}}),C=new f({props:{title:"utils/image.RawImage",local:"utilsimagerawimage",headingTag:"h2"}}),H=new f({props:{title:"new RawImage(data, width, height, channels)",local:"new-rawimagedata-width-height-channels",headingTag:"h3"}}),A=new f({props:{title:"rawImage._CONTENT_TYPE_MAP",local:"rawimagecontenttypemap",headingTag:"h3"}}),B=new f({props:{title:"rawImage.grayscale() ⇒ <code> RawImage </code>",local:"rawimagegrayscale--code-rawimage-code",headingTag:"h3"}}),J=new f({props:{title:"rawImage.rgb() ⇒ <code> RawImage </code>",local:"rawimagergb--code-rawimage-code",headingTag:"h3"}}),S=new f({props:{title:"rawImage.rgba() ⇒ <code> RawImage </code>",local:"rawimagergba--code-rawimage-code",headingTag:"h3"}}),D=new f({props:{title:"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>",local:"rawimageresizewidth-height-options--code-promise--rawimage--code",headingTag:"h3"}}),ee=new f({props:{title:"rawImage.clone() ⇒ <code> RawImage </code>",local:"rawimageclone--code-rawimage-code",headingTag:"h3"}}),ie=new f({props:{title:"rawImage.convert(numChannels) ⇒ <code> RawImage </code>",local:"rawimageconvertnumchannels--code-rawimage-code",headingTag:"h3"}}),re=new f({props:{title:"rawImage.save(path)",local:"rawimagesavepath",headingTag:"h3"}}),pe=new f({props:{title:"RawImage.read(input) ⇒ <code> * </code>",local:"rawimagereadinput--code--code",headingTag:"h3"}}),Re=new gl({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMFJhd0ltYWdlJTIw",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/main/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// RawImage </span>`,wrap:!1}}),$e=new f({props:{title:"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromurlurl--code-promise--rawimage--code",headingTag:"h3"}}),xe=new f({props:{title:"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromblobblob--code-promise--rawimage--code",headingTag:"h3"}}),{c(){R=d("meta"),Ee=i(),Me=d("p"),Ae=i(),I=d("a"),Ue=i(),n(_.$$.fragment),je=i(),$=d("p"),$.textContent=$a,ze=i(),T=d("p"),T.textContent=Ta,Be=i(),b=d("ul"),b.innerHTML=ba,ke=i(),Ye=d("hr"),Ne=i(),v=d("a"),Je=i(),n(C.$$.fragment),Ke=i(),x=d("p"),x.innerHTML=va,qe=i(),P=d("ul"),P.innerHTML=Ca,Oe=i(),Se=d("hr"),Ze=i(),L=d("a"),Ge=i(),n(H.$$.fragment),We=i(),M=d("p"),M.innerHTML=xa,De=i(),y=d("table"),y.innerHTML=Pa,Ve=i(),Fe=d("hr"),Qe=i(),E=d("a"),Xe=i(),n(A.$$.fragment),et=i(),U=d("p"),U.textContent=La,tt=i(),j=d("p"),j.innerHTML=Ha,at=i(),lt=d("hr"),it=i(),z=d("a"),mt=i(),n(B.$$.fragment),dt=i(),k=d("p"),k.textContent=Ma,ot=i(),Y=d("p"),Y.innerHTML=ya,st=i(),rt=d("hr"),gt=i(),N=d("a"),nt=i(),n(J.$$.fragment),ut=i(),K=d("p"),K.textContent=Ea,ct=i(),q=d("p"),q.innerHTML=Aa,pt=i(),ht=d("hr"),wt=i(),O=d("a"),ft=i(),n(S.$$.fragment),Rt=i(),Z=d("p"),Z.textContent=Ua,It=i(),G=d("p"),G.innerHTML=ja,_t=i(),$t=d("hr"),Tt=i(),W=d("a"),bt=i(),n(D.$$.fragment),vt=i(),V=d("p"),V.textContent=za,Ct=i(),F=d("p"),F.innerHTML=Ba,xt=i(),Q=d("table"),Q.innerHTML=ka,Pt=i(),Lt=d("hr"),Ht=i(),X=d("a"),Mt=i(),n(ee.$$.fragment),yt=i(),te=d("p"),te.textContent=Ya,Et=i(),ae=d("p"),ae.innerHTML=Na,At=i(),Ut=d("hr"),jt=i(),le=d("a"),zt=i(),n(ie.$$.fragment),Bt=i(),me=d("p"),me.textContent=Ja,kt=i(),de=d("p"),de.innerHTML=Ka,Yt=i(),oe=d("table"),oe.innerHTML=qa,Nt=i(),Jt=d("hr"),Kt=i(),se=d("a"),qt=i(),n(re.$$.fragment),Ot=i(),ge=d("p"),ge.textContent=Oa,St=i(),ne=d("p"),ne.innerHTML=Sa,Zt=i(),ue=d("table"),ue.innerHTML=Za,Gt=i(),Wt=d("hr"),Dt=i(),ce=d("a"),Vt=i(),n(pe.$$.fragment),Ft=i(),he=d("p"),he.textContent=Ga,Qt=i(),we=d("p"),we.innerHTML=Wa,Xt=i(),fe=d("p"),fe.innerHTML=Da,ea=i(),n(Re.$$.fragment),ta=i(),Ie=d("table"),Ie.innerHTML=Va,aa=i(),la=d("hr"),ia=i(),_e=d("a"),ma=i(),n($e.$$.fragment),da=i(),Te=d("p"),Te.textContent=Fa,oa=i(),be=d("p"),be.innerHTML=Qa,sa=i(),ve=d("table"),ve.innerHTML=Xa,ra=i(),ga=d("hr"),na=i(),Ce=d("a"),ua=i(),n(xe.$$.fragment),ca=i(),Pe=d("p"),Pe.textContent=el,pa=i(),Le=d("p"),Le.innerHTML=tl,ha=i(),He=d("table"),He.innerHTML=al,wa=i(),fa=d("hr"),Ra=i(),ye=d("p"),this.h()},l(e){const t=sl("svelte-u9bgzb",document.head);R=o(t,"META",{name:!0,content:!0}),t.forEach(a),Ee=m(e),Me=o(e,"P",{}),g(Me).forEach(a),Ae=m(e),I=o(e,"A",{id:!0,class:!0}),g(I).forEach(a),Ue=m(e),u(_.$$.fragment,e),je=m(e),$=o(e,"P",{"data-svelte-h":!0}),s($)!=="svelte-18hbqrt"&&($.textContent=$a),ze=m(e),T=o(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-il3kl8"&&(T.textContent=Ta),Be=m(e),b=o(e,"UL",{"data-svelte-h":!0}),s(b)!=="svelte-1y9hlxf"&&(b.innerHTML=ba),ke=m(e),Ye=o(e,"HR",{}),Ne=m(e),v=o(e,"A",{id:!0,class:!0}),g(v).forEach(a),Je=m(e),u(C.$$.fragment,e),Ke=m(e),x=o(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-f7iksk"&&(x.innerHTML=va),qe=m(e),P=o(e,"UL",{"data-svelte-h":!0}),s(P)!=="svelte-19785kq"&&(P.innerHTML=Ca),Oe=m(e),Se=o(e,"HR",{}),Ze=m(e),L=o(e,"A",{id:!0,class:!0}),g(L).forEach(a),Ge=m(e),u(H.$$.fragment,e),We=m(e),M=o(e,"P",{"data-svelte-h":!0}),s(M)!=="svelte-36fe9a"&&(M.innerHTML=xa),De=m(e),y=o(e,"TABLE",{"data-svelte-h":!0}),s(y)!=="svelte-17p0s1v"&&(y.innerHTML=Pa),Ve=m(e),Fe=o(e,"HR",{}),Qe=m(e),E=o(e,"A",{id:!0,class:!0}),g(E).forEach(a),Xe=m(e),u(A.$$.fragment,e),et=m(e),U=o(e,"P",{"data-svelte-h":!0}),s(U)!=="svelte-15u13r6"&&(U.textContent=La),tt=m(e),j=o(e,"P",{"data-svelte-h":!0}),s(j)!=="svelte-x6zkun"&&(j.innerHTML=Ha),at=m(e),lt=o(e,"HR",{}),it=m(e),z=o(e,"A",{id:!0,class:!0}),g(z).forEach(a),mt=m(e),u(B.$$.fragment,e),dt=m(e),k=o(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-1owjjfe"&&(k.textContent=Ma),ot=m(e),Y=o(e,"P",{"data-svelte-h":!0}),s(Y)!=="svelte-11e9r18"&&(Y.innerHTML=ya),st=m(e),rt=o(e,"HR",{}),gt=m(e),N=o(e,"A",{id:!0,class:!0}),g(N).forEach(a),nt=m(e),u(J.$$.fragment,e),ut=m(e),K=o(e,"P",{"data-svelte-h":!0}),s(K)!=="svelte-qyo04e"&&(K.textContent=Ea),ct=m(e),q=o(e,"P",{"data-svelte-h":!0}),s(q)!=="svelte-11e9r18"&&(q.innerHTML=Aa),pt=m(e),ht=o(e,"HR",{}),wt=m(e),O=o(e,"A",{id:!0,class:!0}),g(O).forEach(a),ft=m(e),u(S.$$.fragment,e),Rt=m(e),Z=o(e,"P",{"data-svelte-h":!0}),s(Z)!=="svelte-19kp14j"&&(Z.textContent=Ua),It=m(e),G=o(e,"P",{"data-svelte-h":!0}),s(G)!=="svelte-11e9r18"&&(G.innerHTML=ja),_t=m(e),$t=o(e,"HR",{}),Tt=m(e),W=o(e,"A",{id:!0,class:!0}),g(W).forEach(a),bt=m(e),u(D.$$.fragment,e),vt=m(e),V=o(e,"P",{"data-svelte-h":!0}),s(V)!=="svelte-s4dm9o"&&(V.textContent=za),Ct=m(e),F=o(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-1jh8cjr"&&(F.innerHTML=Ba),xt=m(e),Q=o(e,"TABLE",{"data-svelte-h":!0}),s(Q)!=="svelte-ya0vko"&&(Q.innerHTML=ka),Pt=m(e),Lt=o(e,"HR",{}),Ht=m(e),X=o(e,"A",{id:!0,class:!0}),g(X).forEach(a),Mt=m(e),u(ee.$$.fragment,e),yt=m(e),te=o(e,"P",{"data-svelte-h":!0}),s(te)!=="svelte-1eu6jk3"&&(te.textContent=Ya),Et=m(e),ae=o(e,"P",{"data-svelte-h":!0}),s(ae)!=="svelte-1w4hta5"&&(ae.innerHTML=Na),At=m(e),Ut=o(e,"HR",{}),jt=m(e),le=o(e,"A",{id:!0,class:!0}),g(le).forEach(a),zt=m(e),u(ie.$$.fragment,e),Bt=m(e),me=o(e,"P",{"data-svelte-h":!0}),s(me)!=="svelte-5ze294"&&(me.textContent=Ja),kt=m(e),de=o(e,"P",{"data-svelte-h":!0}),s(de)!=="svelte-11e9r18"&&(de.innerHTML=Ka),Yt=m(e),oe=o(e,"TABLE",{"data-svelte-h":!0}),s(oe)!=="svelte-1hxqxaq"&&(oe.innerHTML=qa),Nt=m(e),Jt=o(e,"HR",{}),Kt=m(e),se=o(e,"A",{id:!0,class:!0}),g(se).forEach(a),qt=m(e),u(re.$$.fragment,e),Ot=m(e),ge=o(e,"P",{"data-svelte-h":!0}),s(ge)!=="svelte-119su55"&&(ge.textContent=Oa),St=m(e),ne=o(e,"P",{"data-svelte-h":!0}),s(ne)!=="svelte-1epyezb"&&(ne.innerHTML=Sa),Zt=m(e),ue=o(e,"TABLE",{"data-svelte-h":!0}),s(ue)!=="svelte-1h4z9xq"&&(ue.innerHTML=Za),Gt=m(e),Wt=o(e,"HR",{}),Dt=m(e),ce=o(e,"A",{id:!0,class:!0}),g(ce).forEach(a),Vt=m(e),u(pe.$$.fragment,e),Ft=m(e),he=o(e,"P",{"data-svelte-h":!0}),s(he)!=="svelte-5659h9"&&(he.textContent=Ga),Qt=m(e),we=o(e,"P",{"data-svelte-h":!0}),s(we)!=="svelte-1800vfp"&&(we.innerHTML=Wa),Xt=m(e),fe=o(e,"P",{"data-svelte-h":!0}),s(fe)!=="svelte-14z54gq"&&(fe.innerHTML=Da),ea=m(e),u(Re.$$.fragment,e),ta=m(e),Ie=o(e,"TABLE",{"data-svelte-h":!0}),s(Ie)!=="svelte-eqolu5"&&(Ie.innerHTML=Va),aa=m(e),la=o(e,"HR",{}),ia=m(e),_e=o(e,"A",{id:!0,class:!0}),g(_e).forEach(a),ma=m(e),u($e.$$.fragment,e),da=m(e),Te=o(e,"P",{"data-svelte-h":!0}),s(Te)!=="svelte-1355z3u"&&(Te.textContent=Fa),oa=m(e),be=o(e,"P",{"data-svelte-h":!0}),s(be)!=="svelte-10btw3j"&&(be.innerHTML=Qa),sa=m(e),ve=o(e,"TABLE",{"data-svelte-h":!0}),s(ve)!=="svelte-ncveta"&&(ve.innerHTML=Xa),ra=m(e),ga=o(e,"HR",{}),na=m(e),Ce=o(e,"A",{id:!0,class:!0}),g(Ce).forEach(a),ua=m(e),u(xe.$$.fragment,e),ca=m(e),Pe=o(e,"P",{"data-svelte-h":!0}),s(Pe)!=="svelte-1s704mu"&&(Pe.textContent=el),pa=m(e),Le=o(e,"P",{"data-svelte-h":!0}),s(Le)!=="svelte-10btw3j"&&(Le.innerHTML=tl),ha=m(e),He=o(e,"TABLE",{"data-svelte-h":!0}),s(He)!=="svelte-34rbhe"&&(He.innerHTML=al),wa=m(e),fa=o(e,"HR",{}),Ra=m(e),ye=o(e,"P",{}),g(ye).forEach(a),this.h()},h(){r(R,"name","hf:doc:metadata"),r(R,"content",ul),r(I,"id","module_utils/image"),r(I,"class","group"),r(v,"id","module_utils/image.RawImage"),r(v,"class","group"),r(L,"id","new_module_utils/image.RawImage_new"),r(L,"class","group"),r(E,"id","module_utils/image.RawImage+_CONTENT_TYPE_MAP"),r(E,"class","group"),r(z,"id","module_utils/image.RawImage+grayscale"),r(z,"class","group"),r(N,"id","module_utils/image.RawImage+rgb"),r(N,"class","group"),r(O,"id","module_utils/image.RawImage+rgba"),r(O,"class","group"),r(W,"id","module_utils/image.RawImage+resize"),r(W,"class","group"),r(X,"id","module_utils/image.RawImage+clone"),r(X,"class","group"),r(le,"id","module_utils/image.RawImage+convert"),r(le,"class","group"),r(se,"id","module_utils/image.RawImage+save"),r(se,"class","group"),r(ce,"id","module_utils/image.RawImage.read"),r(ce,"class","group"),r(_e,"id","module_utils/image.RawImage.fromURL"),r(_e,"class","group"),r(Ce,"id","module_utils/image.RawImage.fromBlob"),r(Ce,"class","group")},m(e,t){rl(document.head,R),l(e,Ee,t),l(e,Me,t),l(e,Ae,t),l(e,I,t),l(e,Ue,t),c(_,e,t),l(e,je,t),l(e,$,t),l(e,ze,t),l(e,T,t),l(e,Be,t),l(e,b,t),l(e,ke,t),l(e,Ye,t),l(e,Ne,t),l(e,v,t),l(e,Je,t),c(C,e,t),l(e,Ke,t),l(e,x,t),l(e,qe,t),l(e,P,t),l(e,Oe,t),l(e,Se,t),l(e,Ze,t),l(e,L,t),l(e,Ge,t),c(H,e,t),l(e,We,t),l(e,M,t),l(e,De,t),l(e,y,t),l(e,Ve,t),l(e,Fe,t),l(e,Qe,t),l(e,E,t),l(e,Xe,t),c(A,e,t),l(e,et,t),l(e,U,t),l(e,tt,t),l(e,j,t),l(e,at,t),l(e,lt,t),l(e,it,t),l(e,z,t),l(e,mt,t),c(B,e,t),l(e,dt,t),l(e,k,t),l(e,ot,t),l(e,Y,t),l(e,st,t),l(e,rt,t),l(e,gt,t),l(e,N,t),l(e,nt,t),c(J,e,t),l(e,ut,t),l(e,K,t),l(e,ct,t),l(e,q,t),l(e,pt,t),l(e,ht,t),l(e,wt,t),l(e,O,t),l(e,ft,t),c(S,e,t),l(e,Rt,t),l(e,Z,t),l(e,It,t),l(e,G,t),l(e,_t,t),l(e,$t,t),l(e,Tt,t),l(e,W,t),l(e,bt,t),c(D,e,t),l(e,vt,t),l(e,V,t),l(e,Ct,t),l(e,F,t),l(e,xt,t),l(e,Q,t),l(e,Pt,t),l(e,Lt,t),l(e,Ht,t),l(e,X,t),l(e,Mt,t),c(ee,e,t),l(e,yt,t),l(e,te,t),l(e,Et,t),l(e,ae,t),l(e,At,t),l(e,Ut,t),l(e,jt,t),l(e,le,t),l(e,zt,t),c(ie,e,t),l(e,Bt,t),l(e,me,t),l(e,kt,t),l(e,de,t),l(e,Yt,t),l(e,oe,t),l(e,Nt,t),l(e,Jt,t),l(e,Kt,t),l(e,se,t),l(e,qt,t),c(re,e,t),l(e,Ot,t),l(e,ge,t),l(e,St,t),l(e,ne,t),l(e,Zt,t),l(e,ue,t),l(e,Gt,t),l(e,Wt,t),l(e,Dt,t),l(e,ce,t),l(e,Vt,t),c(pe,e,t),l(e,Ft,t),l(e,he,t),l(e,Qt,t),l(e,we,t),l(e,Xt,t),l(e,fe,t),l(e,ea,t),c(Re,e,t),l(e,ta,t),l(e,Ie,t),l(e,aa,t),l(e,la,t),l(e,ia,t),l(e,_e,t),l(e,ma,t),c($e,e,t),l(e,da,t),l(e,Te,t),l(e,oa,t),l(e,be,t),l(e,sa,t),l(e,ve,t),l(e,ra,t),l(e,ga,t),l(e,na,t),l(e,Ce,t),l(e,ua,t),c(xe,e,t),l(e,ca,t),l(e,Pe,t),l(e,pa,t),l(e,Le,t),l(e,ha,t),l(e,He,t),l(e,wa,t),l(e,fa,t),l(e,Ra,t),l(e,ye,t),Ia=!0},p:il,i(e){Ia||(p(_.$$.fragment,e),p(C.$$.fragment,e),p(H.$$.fragment,e),p(A.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(S.$$.fragment,e),p(D.$$.fragment,e),p(ee.$$.fragment,e),p(ie.$$.fragment,e),p(re.$$.fragment,e),p(pe.$$.fragment,e),p(Re.$$.fragment,e),p($e.$$.fragment,e),p(xe.$$.fragment,e),Ia=!0)},o(e){h(_.$$.fragment,e),h(C.$$.fragment,e),h(H.$$.fragment,e),h(A.$$.fragment,e),h(B.$$.fragment,e),h(J.$$.fragment,e),h(S.$$.fragment,e),h(D.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),h(re.$$.fragment,e),h(pe.$$.fragment,e),h(Re.$$.fragment,e),h($e.$$.fragment,e),h(xe.$$.fragment,e),Ia=!1},d(e){e&&(a(Ee),a(Me),a(Ae),a(I),a(Ue),a(je),a($),a(ze),a(T),a(Be),a(b),a(ke),a(Ye),a(Ne),a(v),a(Je),a(Ke),a(x),a(qe),a(P),a(Oe),a(Se),a(Ze),a(L),a(Ge),a(We),a(M),a(De),a(y),a(Ve),a(Fe),a(Qe),a(E),a(Xe),a(et),a(U),a(tt),a(j),a(at),a(lt),a(it),a(z),a(mt),a(dt),a(k),a(ot),a(Y),a(st),a(rt),a(gt),a(N),a(nt),a(ut),a(K),a(ct),a(q),a(pt),a(ht),a(wt),a(O),a(ft),a(Rt),a(Z),a(It),a(G),a(_t),a($t),a(Tt),a(W),a(bt),a(vt),a(V),a(Ct),a(F),a(xt),a(Q),a(Pt),a(Lt),a(Ht),a(X),a(Mt),a(yt),a(te),a(Et),a(ae),a(At),a(Ut),a(jt),a(le),a(zt),a(Bt),a(me),a(kt),a(de),a(Yt),a(oe),a(Nt),a(Jt),a(Kt),a(se),a(qt),a(Ot),a(ge),a(St),a(ne),a(Zt),a(ue),a(Gt),a(Wt),a(Dt),a(ce),a(Vt),a(Ft),a(he),a(Qt),a(we),a(Xt),a(fe),a(ea),a(ta),a(Ie),a(aa),a(la),a(ia),a(_e),a(ma),a(da),a(Te),a(oa),a(be),a(sa),a(ve),a(ra),a(ga),a(na),a(Ce),a(ua),a(ca),a(Pe),a(pa),a(Le),a(ha),a(He),a(wa),a(fa),a(Ra),a(ye)),a(R),w(_,e),w(C,e),w(H,e),w(A,e),w(B,e),w(J,e),w(S,e),w(D,e),w(ee,e),w(ie,e),w(re,e),w(pe,e),w(Re,e),w($e,e),w(xe,e)}}}const ul='{"title":"utils/image","local":"utilsimage","sections":[{"title":"utils/image.RawImage","local":"utilsimagerawimage","sections":[{"title":"new RawImage(data, width, height, channels)","local":"new-rawimagedata-width-height-channels","sections":[],"depth":3},{"title":"rawImage._CONTENT_TYPE_MAP","local":"rawimagecontenttypemap","sections":[],"depth":3},{"title":"rawImage.grayscale() ⇒ <code> RawImage </code>","local":"rawimagegrayscale--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgb() ⇒ <code> RawImage </code>","local":"rawimagergb--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgba() ⇒ <code> RawImage </code>","local":"rawimagergba--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>","local":"rawimageresizewidth-height-options--code-promise--rawimage--code","sections":[],"depth":3},{"title":"rawImage.clone() ⇒ <code> RawImage </code>","local":"rawimageclone--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.convert(numChannels) ⇒ <code> RawImage </code>","local":"rawimageconvertnumchannels--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.save(path)","local":"rawimagesavepath","sections":[],"depth":3},{"title":"RawImage.read(input) ⇒ <code> * </code>","local":"rawimagereadinput--code--code","sections":[],"depth":3},{"title":"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromurlurl--code-promise--rawimage--code","sections":[],"depth":3},{"title":"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromblobblob--code-promise--rawimage--code","sections":[],"depth":3}],"depth":2}],"depth":1}';function cl(_a){return ml(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Rl extends dl{constructor(R){super(),ol(this,R,cl,nl,ll,{})}}export{Rl as component};
